import 'dart:io';
import 'package:args/args.dart';
import 'package:get_cli/get_cli.dart';
import 'package:get_cli/samples/get_binding.dart';
import 'package:get_cli/samples/get_controller.dart';
import 'package:get_cli/samples/get_view.dart';
import 'package:recase/recase.dart';

Future<void> createPage([String name]) async {
  String modelType = 'page';
  String modelName = name ?? 'home';
  FileModel _fileModel = FileModel(
    result: modelName,
    path: Structure.getPathWithName(
      defaultStructure.getPathByKey(modelType),
      ReCase(modelName).snakeCase,
      createWithWrappedFolder: true,
    ),
    commandName: modelName,
  );
  ReCase reCase = ReCase(_fileModel.result);

  File _controller =
      await File(_fileModel.path + "_controller.dart").create(recursive: true);
  await _controller.writeAsString(ControllerSample().file(reCase.pascalCase));
  File _binding =
      await File(_fileModel.path + "_binding.dart").create(recursive: true);
  await _binding.writeAsString(BindingSample().file(reCase.pascalCase));
  File _view =
      await File(_fileModel.path + "_view.dart").create(recursive: true);
  await _view.writeAsString(GetViewSample().file(reCase.pascalCase));

  print(reCase.pascalCase + " Page created succesfully.");
}
